Bug 558058 - Review Request: ghc-dataenc - Haskell encoding library
Review Request: ghc-dataenc - Haskell encoding library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
ready
:
Depends On:
Blocks: 522953
  Show dependency treegraph
 
Reported: 2010-01-23 06:53 EST by Jens Petersen
Modified: 2014-01-02 06:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-05 01:42:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
konrad: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-01-23 06:53:14 EST
Spec URL: http://petersen.fedorapeople.org/ghc-dataenc/ghc-dataenc.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-dataenc/ghc-dataenc-0.13.0.2-1.fc12.src.rpm
Description: 
Data encoding library currently providing Base16, Base32, Base32Hex, Base64, Base64Url, Base85, Python string escaping, Quoted-Printable, URL encoding, uuencode, xxencode, and yEncoding.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1939947

Required to build latest ghc-hashed-storage for darcs.
Comment 1 Conrad Meyer 2010-02-28 02:44:24 EST
BAD = Please fix.
N/A = Doesn't apply to this package.
YES = Fine.
??? = I have some question(s).

- [ YES ] MUST: rpmlint must be run on every package. The output should
be posted in the review.

ghc-dataenc.spec: W: no-cleaning-of-buildroot %install
ghc-dataenc.spec: W: no-buildroot-tag
ghc-dataenc.src: W: spelling-error Summary(en_US) Haskell -> Harrell, Rathskeller, Hastily
ghc-dataenc.src: W: spelling-error %description -l en_US uuencode -> encoder, encode, Unicode
ghc-dataenc.src: W: spelling-error %description -l en_US xxencode -> xx encode, xx-encode, encoder
ghc-dataenc.src: W: spelling-error %description -l en_US yEncoding -> y Encoding, encoding, yen coding
ghc-dataenc.src: W: no-cleaning-of-buildroot %install
ghc-dataenc.src: W: no-buildroot-tag
1 packages and 1 specfiles checked; 0 errors, 8 warnings.

Spelling warnings are ignorable; the other warnings are also ignorable, I
think we decided.

- [ YES ] MUST: The package must be named according to the Package Naming
Guidelines.

- [ YES ] MUST: The spec file name must match the base package %{name},
in the format %{name}.spec unless your package has an exemption on
Package Naming Guidelines.

- [ ??? ] MUST: The package must meet the Packaging Guidelines.

I'm curious, cabal2spec-diff wants it to be binlib, not lib. Any idea?
Otherwise, looks good.

- [ YES ] MUST: The package must be licensed with a Fedora approved
license and meet the Licensing Guidelines.

- [ YES ] MUST: The License field in the package spec file must match
the actual license.

- [ YES ] MUST: If (and only if) the source package includes the text
of the license(s) in its own file, then that file, containing the text
of the license(s) for the package must be included in %doc.

- [ YES ] MUST: The spec file must be written in American English.

- [ YES ] MUST: The spec file for the package MUST be legible. If the
reviewer is unable to read the spec file, it will be impossible to
perform a review. Fedora is not the place for entries into the
Obfuscated Code Contest (http://www.ioccc.org/).

- [ YES ] MUST: The sources used to build the package must match the
upstream source, as provided in the spec URL. Reviewers should use
md5sum for this task. If no upstream URL can be specified for this
package, please see the Source URL Guidelines for how to deal with this.

sha512sum = e64138df9d2815af5ad7871ffb3d2b7199183b6991e40929d620b8d8de06f2e22a4104ac317bf485ee98018c25afef7125314fc037ec94de9ba0973f6f190198

- [ YES ] MUST: The package must successfully compile and build into
binary rpms on at least one supported architecture.

Tested on x86_64.

- [ N/A ] MUST: If the package does not successfully compile, build or
work on an architecture, then those architectures should be listed in
the spec in ExcludeArch. Each architecture listed in ExcludeArch needs
to have a bug filed in bugzilla, describing the reason that the package
does not compile/build/work on that architecture. The bug number should
then be placed in a comment, next to the corresponding ExcludeArch line.
New packages will not have bugzilla entries during the review process,
so they should put this description in the comment until the package is
approved, then file the bugzilla entry, and replace the long explanation
with the bug number. The bug should be marked as blocking one (or more)
of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc,
FE-ExcludeArch-ppc64

- [ YES ] MUST: All build dependencies must be listed in BuildRequires,
except for any that are listed in the exceptions section of the Packaging
Guidelines; inclusion of those as BuildRequires is optional.
Apply common sense.

- [ N/A ] MUST: The spec file MUST handle locales properly. This is done
by using the %find_lang macro. Using %{_datadir}/locale/* is strictly
forbidden.

- [ N/A ] MUST: Every binary RPM package which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun.

- [ N/A ] MUST: If the package is designed to be relocatable, the packager
must state this fact in the request for review, along with the
rationalization for relocation of that specific package. Without this,
use of Prefix: /usr is considered a blocker.

- [ YES ] MUST: A package must own all directories that it creates. If
it does not create a directory that it uses, then it should require a
package which does create that directory. Refer to the Guidelines for
examples.

- [ YES ] MUST: A package must not contain any duplicate files in the
%files listing.

- [ YES ] MUST: Permissions on files must be set properly. Executables
should be set with executable permissions, for example. Every %files
section must include a %defattr(...) line.

- [ YES ] MUST: Each package must have a %clean section, which contains
rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

- [ YES ] MUST: Each package must consistently use macros, as described
in the macros section of Packaging Guidelines.

- [ YES ] MUST: The package must contain code, or permissable content.
This is described in detail in the code vs. content section of Packaging
Guidelines.

- [ YES ] MUST: Large documentation files should go in a -doc subpackage.
(The definition of large is left up to the packager's best judgement, but
is not restricted to size. Large can refer to either size or quantity.)

- [ YES ] MUST: If a package includes something as %doc, it must not
affect the runtime of the application. To summarize: If it is in %doc,
the program must run properly if it is not present.

- [ YES ] MUST: Header files must be in a -devel package.

- [ N/A ] MUST: Static libraries must be in a -static package.

- [ N/A ] MUST: Packages containing pkgconfig(.pc) files must
'Requires: pkgconfig' (for directory ownership and usability).

- [ N/A ] MUST: If a package contains library files with a suffix
(e.g. libfoo.so.1.1), then library files that end in .so (without suffix)
must go in a -devel package.

- [ YES ] MUST: In the vast majority of cases, devel packages must
require the base package using a fully versioned dependency:
Requires: %{name} = %{version}-%{release}

- [ N/A ] MUST: Packages must NOT contain any .la libtool archives,
these should be removed in the spec.

- [ N/A ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. This is described in detail
in the desktop files section of the Packaging Guidelines. If you feel
that your packaged GUI application does not need a .desktop file, you
must put a comment in the spec file with your explanation.

- [ YES ] MUST: Packages must not own files or directories already owned
by other packages. The rule of thumb here is that the first package to be
installed should own the files or directories that other packages may
rely upon. This means, for example, that no package in Fedora should ever
share ownership with any of the files or directories owned by the
filesystem or man package. If you feel that you have a good reason to
own a file or directory that another package owns, then please present
that at package review time.

- [ YES ] MUST: All filenames in rpm packages must be valid UTF-8.

- [ N/A ] SHOULD: If the source package does not include license text(s)
as a separate file from upstream, the packager SHOULD query upstream to
include it.

- [ N/A ] SHOULD: The description and summary sections in the package spec
file should contain translations for supported Non-English languages,
if available.

- [ YES ] SHOULD: The reviewer should test that the package builds in
mock. See MockTricks for details on how to do this.

- [ YES ] SHOULD: The package should compile and build into binary rpms
on all supported architectures.

- [ YES ] SHOULD: The reviewer should test that the package functions as
described. A package should not segfault instead of running, for example.

- [ YES ] SHOULD: If scriptlets are used, those scriptlets must be sane.
This is vague, and left up to the reviewers judgement to determine sanity.

- [ YES ] SHOULD: Usually, subpackages other than devel should require
the base package using a fully versioned dependency.

- [ N/A ] SHOULD: The placement of pkgconfig(.pc) files depends on their
usecase, and this is usually for development purposes, so should be placed
in a -devel pkg. A reasonable exception is that the main pkg itself is a
devel tool not installed in a user runtime, e.g. gcc or gdb.

- [ N/A ] SHOULD: If the package has file dependencies outside of /etc,
/bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which
provides the file instead of the file itself. Please see File Dependencies
in the Guidelines for further information.

I think it's good, though I'm curious why cabal2spec thinks it should be binlib, not just lib. Anyways, if that's cabal2spec being braindead, go ahead. If it's a mistake, you can fix it before import.

APPROVED.
Comment 2 Jens Petersen 2010-02-28 20:53:50 EST
Thanks Conrad.

(In reply to comment #1)
> I'm curious, cabal2spec-diff wants it to be binlib, not lib. Any idea?

Yeah it is cabal2spec not being that smart:
Comment 3 Jens Petersen 2010-02-28 21:00:42 EST
oops

Meant to continue:

(In reply to comment #2)
> Yeah it is cabal2spec not being that smart:    

binlib is getting triggered by "executable test" in the .cabal file.
Comment 4 Jens Petersen 2010-02-28 21:05:59 EST
New Package CVS Request
=======================
Package Name: ghc-dataenc
Short Description: Haskell encoding library
Owners: petersen
Branches: F-13
InitialCC: haskell-sig
Comment 5 Jason Tibbitts 2010-03-01 11:57:09 EST
CVS done (by process-cvs-requests.py).
Comment 6 Fedora Update System 2010-03-04 06:06:53 EST
ghc-dataenc-0.13.0.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/ghc-dataenc-0.13.0.2-1.fc13
Comment 7 Fedora Update System 2010-03-04 22:31:27 EST
ghc-dataenc-0.13.0.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jens Petersen 2010-10-03 22:08:55 EDT
Package Change Request
======================
Package Name: ghc-dataenc
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 9 Kevin Fenzi 2010-10-04 15:05:47 EDT
Git done (by process-git-requests).
Comment 10 Jens Petersen 2013-12-27 02:26:04 EST
Package Change Request
======================
Package Name: ghc-dataenc
New Branches: el5
Owners: petersen
InitialCC: haskell-sig
Comment 11 Jens Petersen 2014-01-02 06:26:29 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.